Flutter web 开发 “Unsupported operation: Platform._version”

环境: web_socket_channel: ^1.1.0

出现问题时间: 2020年03月12日(等待官方后期的完善) 已解决

今天在学习 Flutter 发送 WebSockets示例地址),浏览器报错:

Unsupported operation: Platform._version
See also: https://flutter.dev/docs/testing/errors

但是使用 Android 和 IOS 就没有问题。

第一次遇到这种问题,不知道为什么,后来查了查资料,并不是因为代码的问题,而是 Flutterdart.io 操作不支持 web 端使用,不知道以后会不会支持,继续踩 Flutter 开发坑。

Android 和 IOS 端使用的是:

IOWebSocketChannel.connect(connectUrl); 

对于 Web 端来说应该使用的是:

HtmlWebSocketChannel.connect(connectUrl); 

【注】web_socket_channel 依赖文档:https://pub.dev/packages/web_socket_channel

发表评论

邮箱地址不会被公开。 必填项已用*标注